EnginePortTypeSOAPBindingStub
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs.bindings
Class EnginePortTypeSOAPBindingStub

    java.lang.Object
      org.apache.axis.client.Stub
          org.gcube.vremanagement.executor.stubs.bindings.EnginePortTypeSOAPBindingStub

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.Stub, EnginePortType

    public class EnginePortTypeSOAPBindingStub

extends org.apache.axis.client.Stub
implements EnginePortType

Field Summary

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`EnginePortTypeSOAPBindingStub()`
`EnginePortTypeSOAPBindingStub(javax.xml.rpc.Service service)`
`EnginePortTypeSOAPBindingStub(java.net.URL endpointURL, javax.xml.rpc.Service service)`

Method Summary
`org.oasis.wsrf.lifetime.DestroyResponse` | `destroy(org.oasis.wsrf.lifetime.Destroy destroyRequest)`
`org.oasis.wsrf.properties.GetMultipleResourcePropertiesResponse` | `getMultipleResourceProperties(org.oasis.wsrf.properties.GetMultipleResourceProperties_Element getMultipleResourcePropertiesRequest)`
`org.oasis.wsrf.properties.GetResourcePropertyResponse` | `getResourceProperty(javax.xml.namespace.QName getResourcePropertyRequest)`
`org.apache.axis.message.addressing.EndpointReferenceType` | `launch(LaunchParameters request)`
`org.oasis.wsrf.properties.QueryResourcePropertiesResponse` | `queryResourceProperties(org.oasis.wsrf.properties.QueryResourceProperties_Element queryResourcePropertiesRequest)`
`org.oasis.wsrf.properties.SetResourcePropertiesResponse` | `setResourceProperties(org.oasis.wsrf.properties.SetResourceProperties_Element setResourcePropertiesRequest)`
`org.oasis.wsrf.lifetime.SetTerminationTimeResponse` | `setTerminationTime(org.oasis.wsrf.lifetime.SetTerminationTime setTerminationTimeRequest)`

Methods inherited from class org.apache.axis.client.Stub
`_getProperty, _getPropertyNames, _getService, _setProperty, addAttachment, clearAttachments, clearHeaders, extractAttachments, getAttachments, getHeader, getHeaders, getPassword, getPortName, getResponseHeader, getResponseHeaders, getTimeout, getUsername, removeProperty, setHeader, setHeader, setMaintainSession, setPassword, setPortName, setPortName, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnginePortTypeSOAPBindingStub

    public EnginePortTypeSOAPBindingStub()
                                  throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### EnginePortTypeSOAPBindingStub

    public EnginePortTypeSOAPBindingStub(java.net.URL endpointURL,
                                         javax.xml.rpc.Service service)
                                  throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

### EnginePortTypeSOAPBindingStub

    public EnginePortTypeSOAPBindingStub(javax.xml.rpc.Service service)
                                  throws org.apache.axis.AxisFault

Throws:
  `org.apache.axis.AxisFault`

Method Detail

### launch

    public org.apache.axis.message.addressing.EndpointReferenceType launch(LaunchParameters request)
                                                                    throws java.rmi.RemoteException,
                                                                           org.gcube.common.core.faults.GCUBEFault

  Specified by:
    `launch` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### getMultipleResourceProperties

    public org.oasis.wsrf.properties.GetMultipleResourcePropertiesResponse getMultipleResourceProperties(org.oasis.wsrf.properties.GetMultipleResourceProperties_Element getMultipleResourcePropertiesRequest)
                                                                                                  throws java.rmi.RemoteException,
                                                                                                         org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                                         org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `getMultipleResourceProperties` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### getResourceProperty

    public org.oasis.wsrf.properties.GetResourcePropertyResponse getResourceProperty(javax.xml.namespace.QName getResourcePropertyRequest)
                                                                              throws java.rmi.RemoteException,
                                                                                     org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                     org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `getResourceProperty` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### destroy

    public org.oasis.wsrf.lifetime.DestroyResponse destroy(org.oasis.wsrf.lifetime.Destroy destroyRequest)
                                                    throws java.rmi.RemoteException,
                                                           org.oasis.wsrf.lifetime.ResourceUnknownFaultType,
                                                           org.oasis.wsrf.lifetime.ResourceNotDestroyedFaultType

  Specified by:
    `destroy` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.lifetime.ResourceUnknownFaultType`
    `org.oasis.wsrf.lifetime.ResourceNotDestroyedFaultType`

### queryResourceProperties

    public org.oasis.wsrf.properties.QueryResourcePropertiesResponse queryResourceProperties(org.oasis.wsrf.properties.QueryResourceProperties_Element queryResourcePropertiesRequest)
                                                                                      throws java.rmi.RemoteException,
                                                                                             org.oasis.wsrf.properties.UnknownQueryExpressionDialectFaultType,
                                                                                             org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                             org.oasis.wsrf.properties.InvalidQueryExpressionFaultType,
                                                                                             org.oasis.wsrf.properties.QueryEvaluationErrorFaultType,
                                                                                             org.oasis.wsrf.properties.ResourceUnknownFaultType

  Specified by:
    `queryResourceProperties` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.UnknownQueryExpressionDialectFaultType`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.InvalidQueryExpressionFaultType`
    `org.oasis.wsrf.properties.QueryEvaluationErrorFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`

### setResourceProperties

    public org.oasis.wsrf.properties.SetResourcePropertiesResponse setResourceProperties(org.oasis.wsrf.properties.SetResourceProperties_Element setResourcePropertiesRequest)
                                                                                  throws java.rmi.RemoteException,
                                                                                         org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                         org.oasis.wsrf.properties.InvalidSetResourcePropertiesRequestContentFaultType,
                                                                                         org.oasis.wsrf.properties.SetResourcePropertyRequestFailedFaultType,
                                                                                         org.oasis.wsrf.properties.ResourceUnknownFaultType,
                                                                                         org.oasis.wsrf.properties.UnableToModifyResourcePropertyFaultType

  Specified by:
    `setResourceProperties` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType`
    `org.oasis.wsrf.properties.InvalidSetResourcePropertiesRequestContentFaultType`
    `org.oasis.wsrf.properties.SetResourcePropertyRequestFailedFaultType`
    `org.oasis.wsrf.properties.ResourceUnknownFaultType`
    `org.oasis.wsrf.properties.UnableToModifyResourcePropertyFaultType`

### setTerminationTime

    public org.oasis.wsrf.lifetime.SetTerminationTimeResponse setTerminationTime(org.oasis.wsrf.lifetime.SetTerminationTime setTerminationTimeRequest)
                                                                          throws java.rmi.RemoteException,
                                                                                 org.oasis.wsrf.lifetime.UnableToSetTerminationTimeFaultType,
                                                                                 org.oasis.wsrf.lifetime.ResourceUnknownFaultType,
                                                                                 org.oasis.wsrf.lifetime.TerminationTimeChangeRejectedFaultType

  Specified by:
    `setTerminationTime` in interface `EnginePortType`
  Throws:
    `java.rmi.RemoteException`
    `org.oasis.wsrf.lifetime.UnableToSetTerminationTimeFaultType`
    `org.oasis.wsrf.lifetime.ResourceUnknownFaultType`
    `org.oasis.wsrf.lifetime.TerminationTimeChangeRejectedFaultType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD